Subject: Re: [PATCH v2 net-next 2/3] pfcp: Convert pfcp_net_exit() to ->exit_rtnl().

From: Jakub Kicinski <[email-masked]>
Date: Thu, 24 Apr 2025 15:26:38 -0700

On Thu, 24 Apr 2025 06:40:36 +0200 Michal Swiatkowski wrote:
> > > Uh, I remember that we used it to add tc filter. Maybe we can fix it?  
> > 
> > If it really was broken for over a year and nobody noticed -
> > my preference would be to delete it. I don't think you need
> > an actual tunnel dev to add TC filters?  
> 
> Our approach was to follow scheme from exsisting ones.
> For example, vxlan filter:
> tc filter add dev vxlan ingress protocol ip ...
> PFCP filter:
> tc filter add dev pfcp ingress protocol ip ...
> 
> so in this case we need sth to point and pass the information that this
> tunnel is PFCP. If you have an idea how to do it without actual tunnel
> we are willing to implement it. AFAIR simple matching on specific port
> number isn't good solution as tunnel specific fields can't be passed in
> such scenario.

You're right, not sure what I was thinking.. probably about 
the offloaded flow.

Could you please fix this and provide a selftests for offloaded 
and non-offloaded operation? To make sure this code is exercised?